import {
  DocBlock,
  DocSideBySide,
  CodeParams,
  Parameter,
  Field,
  Values,
  CodeSnippets,
} from "../../../components/CodeDocBlock";

<DocBlock>

## getFirstAvailableBlock

Returns the slot of the lowest confirmed block that has not been purged from the ledger

<DocSideBySide>
<CodeParams>

### Parameters:

**None**

### Result:

- `<u64>` - Slot

</CodeParams>
<CodeSnippets>

### Code sample:

```bash
curl http://localhost:8899 -X POST -H "Content-Type: application/json" -d '
  {
    "jsonrpc":"2.0","id":1,
    "method":"getFirstAvailableBlock"
  }
'
```

### Response:

```json
{ "jsonrpc": "2.0", "result": 250000, "id": 1 }
```

</CodeSnippets>
</DocSideBySide>
</DocBlock>
